"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitLandingHeader = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/ban-types */
var TopBar_1 = require("./TopBar");
var ThemeProvider_1 = require("./theme/ThemeProvider");
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var react_markdown_1 = __importDefault(require("react-markdown"));
var Image_1 = require("./theme/design-system/Image");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var useClassNames = ThemeProvider_1.createUseClassNames()(function (theme, _a) {
    var background = _a.background;
    return ({
        "root": {
            "position": "relative",
            "width": "100vw",
            "display": "flex",
            "flexDirection": "column",
            "alignItems": "center",
            "& >img": {},
            "textAlign": "center",
            "& h4": {
                "marginBottom": 30,
                "marginTop": 30,
            },
            "& h4, h5": {
                "maxWidth": "90%",
            },
        },
        "image": {
            "width": 600,
            "marginBottom": 50,
            "@media (max-width: 650px)": {
                "width": "90%",
            },
            "borderRadius": "5px",
        },
        "backgroundDiv": {
            "background": (function () {
                if (background === undefined) {
                    return theme.isDarkModeEnabled ? "#05052b" : "darkblue";
                }
                if (background.type === "color") {
                    return theme.isDarkModeEnabled ? background.colorOrUrlDark : background.colorOrUrlLight;
                }
                return "\n                    url(\"" + (theme.isDarkModeEnabled ? background.colorOrUrlDark : background.colorOrUrlLight) + "\")\n                ";
            })(),
            "backgroundRepeat": "no-repeat",
            "backgroundSize": "cover",
            "backgroundPosition": "center",
            "width": "100%",
            "height": "100%",
            "position": "absolute",
            "top": 0,
            "left": 0,
            "zIndex": -1,
            "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
        },
        "button": {
            "color": theme.isDarkModeEnabled ? "white" : "black",
            "margin": 15,
        },
        "buttonWrapper": {
            "marginTop": 30,
            "marginBottom": 30,
            "maxWidth": 650,
        },
        "paragraph": {
            "width": 600,
            "marginBottom": 50,
            "@media (max-width: 650px)": {
                "width": "90%",
            },
        },
    });
}).useClassNames;
exports.GitLandingHeader = react_1.memo(function (props) {
    var image = props.image, title = props.title, subTitle = props.subTitle, buttons = props.buttons, background = props.background, topBarProps = props.topBarProps, paragraphMd = props.paragraphMd, className = props.className;
    var classNames = useClassNames({ background: background }).classNames;
    return (jsx_runtime_1.jsxs("header", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classNames.backgroundDiv }, void 0),
            topBarProps !== undefined && jsx_runtime_1.jsx(TopBar_1.TopBar, __assign({}, topBarProps), void 0),
            jsx_runtime_1.jsx(Typography_1.default, __assign({ variant: "h4" }, { children: title }), void 0),
            jsx_runtime_1.jsx(Typography_1.default, __assign({ variant: "h5" }, { children: subTitle }), void 0),
            buttons !== undefined && (jsx_runtime_1.jsx("div", __assign({ className: classNames.buttonWrapper }, { children: buttons.map(function (button) { return (jsx_runtime_1.jsx(Button_1.default, __assign({ variant: "outlined", href: button.url, className: classNames.button }, { children: button.name }), button.name)); }) }), void 0)),
            paragraphMd !== undefined && (jsx_runtime_1.jsx("div", __assign({ className: classNames.paragraph }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: paragraphMd }, void 0) }), void 0)),
            image !== undefined && (jsx_runtime_1.jsx(Image_1.Image, { className: tss_react_1.cx(classNames.image, image.className), url: image.url, alt: image.alt, hasFrame: image.hasFrame, customFrameColor: image.customFrameColor, hasFrameButtons: image.hasFrameButtons }, void 0))] }), void 0));
});
//# sourceMappingURL=GitLandingHeader.js.map