"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopBar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-explicit-any */
var List_1 = __importDefault(require("@material-ui/core/List"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var ThemeProvider_1 = require("./theme/ThemeProvider");
var DarkModeSwitch_1 = require("./DarkModeSwitch");
var GithubStarCount_1 = require("./GithubStarCount");
var Dehaze_1 = __importDefault(require("@material-ui/icons/Dehaze"));
var useNamedState_1 = require("powerhooks/useNamedState");
var useConstCallback_1 = require("powerhooks/useConstCallback");
var tss_react_1 = require("tss-react");
var useClickAway_1 = require("powerhooks/useClickAway");
var react_1 = require("react");
var Logo_1 = require("./theme/design-system/Logo");
function getSmallDeviceBreakPoint(params) {
    var darkModSwitchAndGithubRef = params.darkModSwitchAndGithubRef, menuRef = params.menuRef;
    var _a = __read(react_1.useState(0), 2), x = _a[0], setX = _a[1];
    react_1.useEffect(function () {
        setX(1);
    }, []);
    var out = react_1.useMemo(function () {
        var menuWidth = !menuRef.current ? 0 : menuRef.current.getBoundingClientRect().width;
        var darkModSwitchAndGithubWidth = !darkModSwitchAndGithubRef.current
            ? 0
            : darkModSwitchAndGithubRef.current.getBoundingClientRect().width;
        return menuWidth + darkModSwitchAndGithubWidth + 100 + 50;
    }, [x]);
    return out;
}
var useClassNames = ThemeProvider_1.createUseClassNames()(function (theme, _a) {
    var _b, _c, _d;
    var mobileMenuHeight = _a.mobileMenuHeight, smallDeviceBreakPointPx = _a.smallDeviceBreakPointPx;
    return ({
        "root": {
            "display": "flex",
            "justifyContent": "flex-end",
            "flexWrap": "wrap",
            "alignItems": "center",
            "padding": 20,
            "width": 1200,
            "@media (max-width: 1200px)": {
                "width": "100%",
            },
        },
        "logo": {
            "height": 50,
            "marginRight": "auto",
            "& svg": {
                "fill": theme.isDarkModeEnabled ? "white" : "black",
                "height": 50,
                "width": 50,
            },
        },
        "itemWrapper": (_b = {},
            _b["@media (max-width: " + smallDeviceBreakPointPx + "px)"] = {
                "transition": "height 400ms",
                "order": 3,
                "flex": "1 0 100%",
                "textAlign": "left",
                "marginTop": 20,
                "height": mobileMenuHeight,
                "overflow": "hidden",
                "display": "flex",
                "flexDirection": "column",
            },
            _b),
        "link": (_c = {
                "color": theme.isDarkModeEnabled ? "white" : "black",
                "textTransform": "uppercase",
                "margin": "0 15px 0 15px"
            },
            _c["@media (max-width: " + smallDeviceBreakPointPx + "px)"] = {
                "margin": "5px 0 5px 0",
            },
            _c),
        "githubAndDarkModeSwitch": {
            "display": "flex",
            "alignItems": "center",
            "marginLeft": 20,
            "& button": {
                "marginLeft": 20,
            },
        },
        "unfold": (_d = {
                "order": 2,
                "marginLeft": 10,
                "display": "none",
                "cursor": "pointer"
            },
            _d["@media (max-width: " + smallDeviceBreakPointPx + "px)"] = {
                "display": "flex",
                "alignItems": "center",
            },
            _d),
    });
}).useClassNames;
function TopBar(props) {
    var extraMenuItems = props.extraMenuItems, logoUrl = props.logoUrl, githubRepoUrl = props.githubRepoUrl, documentationUrl = props.documentationUrl, className = props.className;
    var _a = useNamedState_1.useNamedState("mobileMenuHeight", 0), mobileMenuHeight = _a.mobileMenuHeight, setMobileMenuHeight = _a.setMobileMenuHeight;
    var rootRef = useClickAway_1.useClickAway(function () { return setMobileMenuHeight(0); }).rootRef;
    var menuRef = react_1.useRef(null);
    var darkModSwitchAndGithubRef = react_1.useRef(null);
    var toggleMobileMenu = useConstCallback_1.useConstCallback(function () {
        if (mobileMenuHeight !== 0) {
            setMobileMenuHeight(0);
            return;
        }
        var menuItems = document.getElementsByClassName("menu-item");
        var newHeight = (parseInt(getComputedStyle(menuItems[0]).marginTop.replace("px", "")) +
            parseInt(getComputedStyle(menuItems[0]).marginBottom.replace("px", "")) +
            menuItems[0].clientHeight) *
            menuItems.length;
        setMobileMenuHeight(newHeight);
    });
    var smallDeviceBreakPointPx = getSmallDeviceBreakPoint({
        menuRef: menuRef,
        darkModSwitchAndGithubRef: darkModSwitchAndGithubRef,
    });
    var classNames = useClassNames({
        mobileMenuHeight: mobileMenuHeight,
        smallDeviceBreakPointPx: smallDeviceBreakPointPx,
    }).classNames;
    return (jsx_runtime_1.jsxs(List_1.default, __assign({ className: tss_react_1.cx(classNames.root, className), component: "nav" }, { children: [logoUrl !== undefined && jsx_runtime_1.jsx(Logo_1.Logo, { logoUrl: logoUrl, className: classNames.logo }, void 0),
            jsx_runtime_1.jsxs("div", __assign({ ref: menuRef, className: classNames.itemWrapper }, { children: [extraMenuItems !== undefined &&
                        extraMenuItems.items.map(function (item) { return (jsx_runtime_1.jsx(Link_1.default, __assign({ className: tss_react_1.cx(classNames.link, "menu-item"), href: item.url }, { children: item.name }), JSON.stringify(item.name + item.url))); }),
                    githubRepoUrl !== undefined && (jsx_runtime_1.jsx(Link_1.default, __assign({ className: tss_react_1.cx(classNames.link, "menu-item"), href: githubRepoUrl }, { children: "github" }), void 0)),
                    documentationUrl !== undefined && (jsx_runtime_1.jsx(Link_1.default, __assign({ className: tss_react_1.cx(classNames.link, "menu-item"), href: documentationUrl }, { children: "documentation" }), void 0))] }), void 0),
            jsx_runtime_1.jsx("div", __assign({ ref: rootRef, className: classNames.unfold }, { children: jsx_runtime_1.jsx(Dehaze_1.default, { onClick: toggleMobileMenu }, void 0) }), void 0),
            jsx_runtime_1.jsxs("div", __assign({ ref: darkModSwitchAndGithubRef, className: classNames.githubAndDarkModeSwitch }, { children: [githubRepoUrl !== undefined && jsx_runtime_1.jsx(GithubStarCount_1.GithubStarCount, { repoUrl: githubRepoUrl, size: "large" }, void 0),
                    jsx_runtime_1.jsx(DarkModeSwitch_1.DarkModeSwitch, {}, void 0)] }), void 0)] }), void 0));
}
exports.TopBar = TopBar;
//# sourceMappingURL=TopBar.js.map