/// <reference types="react" />
export { useIsDarkModeEnabled } from "onyxia-ui";
export declare const OnyxiaThemeProvider: (props: {
    children: import("react").ReactNode;
}) => JSX.Element, useOnyxiaTheme: () => import("onyxia-ui").OnyxiaTheme<{
    VsCodeBackground: string;
    focus: {
        main: string;
        light: string;
        light2: string;
    };
    dark: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    light: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    redError: {
        main: string;
        light: string;
    };
    greenSuccess: {
        main: string;
        light: string;
    };
    orangeWarning: {
        main: string;
        light: string;
    };
    blueInfo: {
        main: string;
        light: string;
    };
}, {
    typography: {
        textPrimary: string;
        textSecondary: string;
        textTertiary: string;
        textDisabled: string;
        textFocus: string;
    };
    buttons: {
        actionHoverPrimary: string;
        actionHoverSecondary: string;
        actionHoverTernary: string;
        actionSelected: string;
        actionActive: string;
        actionDisabled: string;
        actionDisabledBackground: string;
    };
    surfaces: {
        background: string;
        surface1: string;
        surface2: string;
    };
    alertSeverity: {
        error: {
            main: string;
            background: string;
        };
        success: {
            main: string;
            background: string;
        };
        warning: {
            main: string;
            background: string;
        };
        info: {
            main: string;
            background: string;
        };
    };
}, {
    readonly fontFamily: "\"Work Sans\", sans-serif";
    readonly h1: {
        readonly fontWeight: "bold";
        readonly fontSize: "60px";
        readonly lineHeight: 1.2;
    };
    readonly h2: {
        readonly fontWeight: "bold";
        readonly fontSize: "36px";
        readonly lineHeight: 1.11;
    };
    readonly h3: {
        readonly fontWeight: 500;
        readonly fontSize: "28px";
        readonly lineHeight: 1.29;
    };
    readonly h4: {
        readonly fontWeight: "bold";
        readonly fontSize: "24px";
        readonly lineHeight: 1.33;
    };
    readonly h5: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly h6: {
        readonly fontWeight: 500;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly subtitle1: {
        readonly fontWeight: 500;
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    readonly subtitle2: {
        readonly fontWeight: 500;
        readonly fontSize: "14px";
        readonly lineHeight: 1.2;
    };
    readonly body1: {
        readonly fontWeight: "normal";
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    readonly body2: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1.1;
    };
    readonly button: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly caption: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1;
    };
}, Record<string, never>>;
export declare const createUseClassNames: <Params extends Record<string, unknown> = {}>() => <Key extends string>(getCssObjects: (theme: import("onyxia-ui").OnyxiaTheme<{
    VsCodeBackground: string;
    focus: {
        main: string;
        light: string;
        light2: string;
    };
    dark: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    light: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    redError: {
        main: string;
        light: string;
    };
    greenSuccess: {
        main: string;
        light: string;
    };
    orangeWarning: {
        main: string;
        light: string;
    };
    blueInfo: {
        main: string;
        light: string;
    };
}, {
    typography: {
        textPrimary: string;
        textSecondary: string;
        textTertiary: string;
        textDisabled: string;
        textFocus: string;
    };
    buttons: {
        actionHoverPrimary: string;
        actionHoverSecondary: string;
        actionHoverTernary: string;
        actionSelected: string;
        actionActive: string;
        actionDisabled: string;
        actionDisabledBackground: string;
    };
    surfaces: {
        background: string;
        surface1: string;
        surface2: string;
    };
    alertSeverity: {
        error: {
            main: string;
            background: string;
        };
        success: {
            main: string;
            background: string;
        };
        warning: {
            main: string;
            background: string;
        };
        info: {
            main: string;
            background: string;
        };
    };
}, {
    readonly fontFamily: "\"Work Sans\", sans-serif";
    readonly h1: {
        readonly fontWeight: "bold";
        readonly fontSize: "60px";
        readonly lineHeight: 1.2;
    };
    readonly h2: {
        readonly fontWeight: "bold";
        readonly fontSize: "36px";
        readonly lineHeight: 1.11;
    };
    readonly h3: {
        readonly fontWeight: 500;
        readonly fontSize: "28px";
        readonly lineHeight: 1.29;
    };
    readonly h4: {
        readonly fontWeight: "bold";
        readonly fontSize: "24px";
        readonly lineHeight: 1.33;
    };
    readonly h5: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly h6: {
        readonly fontWeight: 500;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly subtitle1: {
        readonly fontWeight: 500;
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    readonly subtitle2: {
        readonly fontWeight: 500;
        readonly fontSize: "14px";
        readonly lineHeight: 1.2;
    };
    readonly body1: {
        readonly fontWeight: "normal";
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    readonly body2: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1.1;
    };
    readonly button: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    readonly caption: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1;
    };
}, Record<string, never>>, params: Params) => Record<Key, import("tss-react").CSSObject>) => {
    useClassNames: (params: Params) => {
        classNames: Record<Key, string>;
    };
};
