"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Article = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var ThemeProvider_1 = require("../ThemeProvider");
var react_markdown_1 = __importDefault(require("react-markdown"));
var Image_1 = require("./Image");
var react_1 = require("react");
var tss_react_1 = require("tss-react");
var Code_1 = require("./Code");
var useClassNames = ThemeProvider_1.createUseClassNames()(function () {
    var _a = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        _a[_i] = arguments[_i];
    }
    var _b = __read(_a, 2), _c = _b[1], isRowReverse = _c.isRowReverse, hasArticle = _c.hasArticle, hasIllustration = _c.hasIllustration;
    return ({
        "root": {
            "display": "flex",
            "justifyContent": "center",
            "alignItems": "center",
            "padding": "40px 0 40px 0",
            "flexDirection": isRowReverse ? "row-reverse" : "row",
            "@media (max-width: 895px)": {
                "flexDirection": "column",
                "padding": 0,
                "margin": "80px 0 80px 0",
            },
        },
        "article": {
            "width": hasIllustration ? 500 : 600,
            "textAlign": hasIllustration ? "unset" : "center",
            "margin": "0 40px 0 40px",
            "& h4": {
                "marginBottom": 20,
            },
            "@media (max-width: 895px)": {
                "marginBottom": hasIllustration ? 40 : 0,
                "width": "80%",
            },
        },
        "illustration": {
            "width": hasArticle ? 550 : 600,
            "margin": "0 40px 0 40px",
            "@media (max-width: 1215px)": {
                "width": hasArticle ? "45%" : "50%",
            },
            "@media (max-width: 895px)": {
                "width": "80%",
            },
        },
    });
}).useClassNames;
exports.Article = react_1.memo(function (props) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
    var article = props.article, illustration = props.illustration, isRowReverse = props.isRowReverse, className = props.className;
    var classNames = useClassNames({
        isRowReverse: isRowReverse,
        "hasArticle": article !== undefined,
        "hasIllustration": illustration !== undefined,
    }).classNames;
    return (jsx_runtime_1.jsxs("article", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [article && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.article }, { children: [jsx_runtime_1.jsx(Typography_1.default, __assign({ variant: "h5" }, { children: article.title }), void 0),
                    jsx_runtime_1.jsx(react_markdown_1.default, { children: article.paragraphMd }, void 0)] }), void 0)),
            illustration &&
                (illustration.type === "image" ? (jsx_runtime_1.jsx(Image_1.Image, { url: (_a = illustration.imageProps) === null || _a === void 0 ? void 0 : _a.url, alt: (_b = illustration.imageProps) === null || _b === void 0 ? void 0 : _b.alt, className: tss_react_1.cx(classNames.illustration, (_c = illustration.imageProps) === null || _c === void 0 ? void 0 : _c.className), hasFrame: (_d = illustration.imageProps) === null || _d === void 0 ? void 0 : _d.hasFrame, customFrameColor: (_e = illustration.imageProps) === null || _e === void 0 ? void 0 : _e.customFrameColor, hasFrameButtons: (_f = illustration.imageProps) === null || _f === void 0 ? void 0 : _f.hasFrameButtons }, void 0)) : (jsx_runtime_1.jsx(Code_1.Code, { text: (_g = illustration.codeProps) === null || _g === void 0 ? void 0 : _g.text, language: (_h = illustration.codeProps) === null || _h === void 0 ? void 0 : _h.language, showLineNumbers: (_j = illustration.codeProps) === null || _j === void 0 ? void 0 : _j.showLineNumbers, className: tss_react_1.cx(classNames.illustration, (_k = illustration.imageProps) === null || _k === void 0 ? void 0 : _k.className) }, void 0)))] }), void 0));
});
//# sourceMappingURL=Article.js.map